#!/usr/bin/perl

# Script Name: Image Indexer
# Scripted By: U-L-T-R-A@webtv.net
# Copyright  Date: 12-10-02
# Get this script and more at:http://ult-tex.net/scripts/
# Leave in all copyright statements and these 5 lines.

# Environment variables.
$server = $ENV{'SERVER_NAME'};
$script = $ENV{'SCRIPT_NAME'};

# Enter thumbnail height in pixels.
$thumbsize = '70';

# Read in the form input.
use CGI qw(param);
$file = param('file');

# Read in the files.
$dir = `pwd`;
@Files = `ls $dir`;

print "Content-type: text/html\n\n";

if ($file) { &img_tile; }

# Begin the index page.
   $dirname = `dirname $script`;
   chomp($dirname);
   print qq~<html>
<head><title>Index of $dirname</title></head>
<body bgcolor="#ffffff" text="#000080" link="#000000" vlink="#222222" alink="#f0f0f0" fontsize="large">
<h2>Index of $dirname</h2>
<p>
<font size="2">\n~;

if ($thumbsize) {
   print " <u><b>WELCOME TO SCRI8E.COM</b></u><br><br>
<u>NO DIRECT LINKING</u>Transload to your own Web Space.
<br>Note: Thumbs are $thumbsize in size. Click file name for full size.<br> Width and height are actual.
<p>";
}
   print "<hr>\n";

foreach (sort @Files) {
   chomp;
   &file_size;
if (m/(gif|jpg|jpeg|png|swf)$/i) {
   use Image::Size;
   ($x, $y) = imgsize($_); 
if ($thumbsize && $y > $thumbsize) { $ht = $thumbsize; }
else { $ht = $y; }
   $x = $x . 'w';
   $y = $y . 'h';
   print qq~<img src="$_" height="$ht">
<p>
<a href="$_">$_</a> &nbsp;
<a href="$script?file=$_">Tile it</a> &nbsp; <i>$size</i>   $x x $y
<hr>\n~; }}
   print qq~<p>
</font>
<center>
Powered By: <a href="http://$server">$server</a>
<br>
Script  2002-2005 By: <a href="http://ult-tex.net/scripts/">U-L-T-R-A</a>
<br><br>
</center>
</body>
</html>~;

# Begin the image tile page.
sub img_tile {
   print qq~<html>
<head><title>$file tiled --></title></head>
<body background="$file" bgcolor="#000000" text="#e0e0e0" link="#e0e0e0" vlink="#e0e0e0" hspace=0 fontsize="medium">
<center>
<br>
<font color="#ffffff"><li>FFFFFF White</font>
<font color="#000000"><li>000000 Black</font>
<font color="#cdad00"><li>CDAD00 Gold</font>
<font color="#4b0082"><li>4B0082 Indigo</font>
<font color="#00ffff"><li>00FFFF Cyan</font>
<font color="#515151"><li>515151 Grey</font>
<br>
Script  2002-2004 By: <a href="http://ult-tex.com/ultra/scripts/">U-L-T-R-A</a>
</center>
</body>
</html>~;
   exit;
}

# Begin file size routine.
sub file_size {
   $size = (-s);
if ($size > 1000000) {
   $size = sprintf('%.2f', $size / 1000000) . ' meg'; }
elsif ($size > 1000) {
   $size = sprintf('%.1f', $size / 1000) . ' kb'; }
else {
   $size .= ' bytes'; }
}